<script setup lang="ts">
import { ref } from "vue";
import { useVModel } from "@vueuse/core";
import RemoteSelect from "/@/components/RemoteSelect";
import { httpSupplierlist } from "/@/api/netOrderEnter/netOrderEntry";

const props = defineProps<{
  modelValue?: string;
}>();

const value = useVModel(props, "modelValue");
const RemoteSelectRef = ref<InstanceType<typeof RemoteSelect> | null>(null);

defineExpose({
  initalData: data => (RemoteSelectRef.value as any).initalData(data)
});
</script>

<template>
  <RemoteSelect
    v-model="value"
    ref="RemoteSelectRef"
    style="width: 100%"
    :api="httpSupplierlist"
    requset-prop="name"
    response-label-prop="name"
    response-val-prop="code"
  />
</template>
